[ovs-dev] branch-1.7 and kernel 3.4

Tomasz Paszkowski ss7pro at gmail.com
Tue Feb 26 15:54:52 UTC 2013


Do you have plans to support branch-1.7 on kernels 3.4 ? Patch below
allows to compile datapath module. After loading module gre tunnels
and pure l2 switching is working. I'am just wondering how you decide
which kernel version is supported ?


--- openvswitch-1.7.3-dist/datapath/datapath.c 2013-01-23
03:38:24.000000000 +0100
+++ openvswitch-1.7.3/datapath/datapath.c 2013-02-26 15:40:40.741981848 +0100
@@ -39,7 +39,9 @@
 #include <linux/version.h>
 #include <linux/ethtool.h>
 #include <linux/wait.h>
+#if LINUX_VERSION_CODE < KERNEL_VERSION(3,4,0)
 #include <asm/system.h>
+#endif
 #include <asm/div64.h>
 #include <linux/highmem.h>
 #include <linux/netfilter_bridge.h>
@@ -62,8 +64,8 @@
 #include "vport-internal_dev.h"

 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,18) || \
-    LINUX_VERSION_CODE >= KERNEL_VERSION(3,4,0)
-#error Kernels before 2.6.18 or after 3.3 are not supported by this
version of Open vSwitch.
+    LINUX_VERSION_CODE >= KERNEL_VERSION(3,5,0)
+#error Kernels before 2.6.18 or after 3.4 are not supported by this
version of Open vSwitch.
 #endif

 #define REHASH_FLOW_INTERVAL (10 * 60 * HZ)


--
Tomasz Paszkowski
SS7, Asterisk, SAN, Datacenter, Cloud Computing
+48500166299



More information about the dev mailing list